#!/bin/sh
# start MeTA1 via MCP

MCPPID=/var/run/mcp.pid
MCPOUT=mcp.out

start_mcp()
{
	/usr/sbin/mcp  -l -p ${MCPPID} /etc/meta1/meta1.conf > ${MCPOUT} 2>&1 &
}

stop_mcp()
{
	if test -s ${MCPPID}; then
		kill `head -1 ${MCPPID}`
	else
		echo "$0: pid file ${MCPPID} does not exist or is empty"
	fi
}

if cd "/var/spool/meta1"; then
	:
else
	echo "$0: cd /var/spool/meta1 failed"
	exit 1
fi

case "$1" in
'start')
	start_mcp
	;;
'stop')
	stop_mcp
	;;
'restart')
	stop_mcp
	start_mcp
	;;
*)
	echo "Usage: $0 { start | stop | restart }"
	exit 1
	;;
esac
exit 0
